fixed_path_divisors.h File Reference
`#include "groebner_defs.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Typedefs

typedef polybori::CacheManager< CCacheTypes::divisorsof_fixedpath > | polybori::groebner::fixed_divisors_cache_type

## Functions

MonomialSet | polybori::groebner::do_fixed_path_divisors (const fixed_divisors_cache_type &cache_mgr, MonomialSet::navigator a_nav, MonomialSet::navigator m_nav, MonomialSet::navigator n_nav)
MonomialSet | polybori::groebner::do_fixed_path_divisors (MonomialSet a, MonomialSet m, MonomialSet n)
MonomialSet | polybori::groebner::fixed_path_divisors (MonomialSet a, Monomial m, Monomial n)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-07-01

This file includes the definition of the class `fixed_path_divisors`.

Copyright:
  (c) 2006-2011 by The PolyBoRi Team